<template>
  <div>
    <header class="header-area">
      <h1>
        <div class="nth-line-4">Sign Up</div>
      </h1>
    </header>
    <div class="profile--4"></div>

    <div class="login-form">
      <form class="custom--form">
        
        <p>
          <input type="text" placeholder="E-mail" required />
        </p>
        <p>
          <input type="password" placeholder="Password" required />
        </p>
        <p>
          <input class="btn" type="submit" value="Sign Up" />
        </p>
        
      </form>
    </div>
  </div>
</template>

<script>
export default {
  name: "signup",
};
</script>

<style>
@import url("https://fonts.googleapis.com/css2?family=Mukta:wght@300&family=Quicksand&display=swap");

header .header-area {
  text-align: right;
  margin-top: 0;
  padding: 0 1em;
  font-family: "Old Standard TT", serif;
}

h1 {
  margin-top: 0;
  font-family: "Old Standard TT", serif;
  color: #1da2f1;
  text-transform: uppercase;
  font-weight: 400;
}

.nth-line-4 {
  font-size: 15vw;
}
@media (min-width: 55em) {
  header.header-area {
    margin-right: 0;
  }
  .nth-line-4 {
    font-size: 5vw;
    margin-right: 232px;
  }
}
.profile--4 {
  background: url("../assets/Nimoy-5.jpg") center 20%;
  height: 35vh;
  background-size: cover;
}
@media (min-width: 55em) {
  .profile--4 {
    width: 45%;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    height: auto;
  }
}
@media (min-width: 80em) {
  .profile--4 {
    width: 45%;
    top: 0;
    left: 0;
    bottom: 0;
    height: auto;
  }
}

p {
  margin: 0 0 20px 0;
  font-weight: 500;
  line-height: 22px;
}

.custom--form input.btn {
  display: block;
  text-align: center;
  padding-top: 6px;
  margin: 0;
  width: 100%;
  font-family: "Mukta", sans-serif;
  font-variant: all-small-caps;
  background-color: #1da2f1;
  color: white;
  font-size: 22px;
  border: 2.5px solid;
  border-radius: 5px;
  border-color: #1da2f1;
}

.custom--form input.btn:hover {
  justify-content: center;
  background-color: #1da2f1;
  border-color: white;
}

.login-form {
  float: right;
  margin-right: 150px;
}

.custom--form p:last-child {
  margin: 0;
}

.custom--form p a {
  color: #1da2f1;
  font-size: 17px;
  font-family: "Mukta", sans-serif;
  font-variant: all-small-caps;
  text-decoration: none;
}

.custom--form a img {
  width: 17px;
  margin-left: 8px;
}
.custom--form label {
  display: block;
  width: 100%;
  margin-bottom: 2px;
  letter-spacing: 0.5px;
}

.custom--form p:last-child label {
  width: 60%;
  float: left;
}

.custom--form input {
  display: block;
  width: 380px;
  height: 50px;
  font-size: 18px;
  outline: none;
  border: 3px solid #1da2f1;
  border-radius: 5px;
}

.custom--form {
  padding: 50px;
}

@media screen and (max-width: 60.75em) {
  .nth-line-4 {
    text-align: center;
  }

  .login-form {
    margin-top: 45px;
    margin-right: auto;
    width: 100%;
  }

  .custom--form {
    padding: 0;
    display: grid;
    justify-content: center;
  }

  .custom--form input {
    width: 325px;
  }
}
</style>
